com.holonplatform.async.datastore.operation

## Interface AsyncQuery

- All Superinterfaces:
    AsyncQueryResults, DatastoreCommodity, DataTarget.DataTargetSupport<AsyncQuery>, ExpressionResolver.ExpressionResolverBuilder<AsyncQuery>, QueryAggregation.QueryAggregationSupport<AsyncQuery>, QueryBuilder<AsyncQuery>, QueryFilter.QueryFilterSupport<AsyncQuery>, QueryProjectionOperations<CompletionStage,CompletionStage,CompletionStage,CompletionStage<Long>>, QuerySort.QuerySortSupport<AsyncQuery>, Serializable

      public interface AsyncQuery
      extends QueryBuilder<AsyncQuery>, AsyncQueryResults, DatastoreCommodity

  Represents an asynchronous query, used by the `AsyncDatastore` API to configure and execute a query and handle the query results asynchronously through the `CompletionStage` type.

  The query is configured through the `QueryBuilder` API and executed using the `AsyncQueryResults` API, which provides methods to execute the query and obtain the results asynchronously, using a `QueryProjection` to specify the expected result type.

  Since:
    5.2.0
  See Also:
    `AsyncDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.query.QueryBuilder

      `distinct, getQueryConfiguration, limit, offset, parameter, parameter, restrict`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFilter.QueryFilterSupport

      `filter, filter, filter`

    - ### Methods inherited from interface com.holonplatform.core.query.QuerySort.QuerySortSupport

      `sort, sort, sort`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget.DataTargetSupport

      `target, target`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryAggregation.QueryAggregationSupport

      `aggregate, aggregate, aggregate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.async.datastore.operation.AsyncQueryResults

      `count, countAll, findOne, findOne, findOne, list, list, list, stream, stream, stream`

Copyright © 2019 The Holon Platform. All rights reserved.